Subject: [EAI] udomain Re: Errors in ABNF in draft-ietf-eai-rfc5335bis-03.txt and draft-ietf-eai-rfc5336bis-04.txt

From: "Jiankang YAO" <[email-masked]>
Date: Sat, 27 Nov 2010 13:28:01 +0800

----- Original Message ----- 
From: "Alexey Melnikov" <[email-masked]>
To: "EAI WG" <[email-masked]>
Sent: Saturday, November 27, 2010 3:07 AM
Subject: [EAI] Errors in ABNF in draft-ietf-eai-rfc5335bis-03.txt and draft-ietf-eai-rfc5336bis-04.txt

....
> -----------------------------------
> In draft-ietf-eai-rfc5336bis-04.txt:
> 
>> 3.3.  Extended Mailbox Address Syntax
> 
> [...]
> 
>>             uMailbox = uLocal-part "@" uDomain
>>               ; uLocal-part and uDomain defined
>>               ; in RFC 5335bis, Section 4.
> 
> The problem with referencing definitions in RFC 5335bis is that they 
> allow for
> 
>   uDomain      =  (sub-udomain 1*("." sub-uDomain)) /
>                   dot-atom / domain-literal / obs-domain
>                   ; Replace Domain in Section 4.1.2 of  RFC 5321
> 
> and definition of dot-atom, domain-literal and obs-domain from RFC 5322 
> are going to be problematic in SMTP:
> 
>   domain-literal  =   [CFWS] "[" *([FWS] dtext) [FWS] "]" [CFWS]
> 
>   obs-domain      =   atom *("." atom)
> 
>   atom            =   [CFWS] 1*atext [CFWS]
> 
>   dot-atom-text   =   1*atext *("." 1*atext)
> 
>   dot-atom        =   [CFWS] dot-atom-text [CFWS]
> 
> because of CFWS.
> 
> Similar problems with uLocal-Part.
> 
> So, RFC5336bis needs to define its own uDomain and uLocal-Part.
> 

thank you for catching it.

in the prvevious discussion on the mailing list, we try to avoid to repeat the definition that refers to the same thing in two drafts.

it seems that the umailbox definition has to go back to the previous version.

Jiankang Yao